diff --git a/src/gui/SurgeGUIEditorOverlays.cpp b/src/gui/SurgeGUIEditorOverlays.cpp
index 0f8281f4732..7b9a6cba84c 100644
--- a/src/gui/SurgeGUIEditorOverlays.cpp
+++ b/src/gui/SurgeGUIEditorOverlays.cpp
@@ -177,6 +177,8 @@ std::unique_ptr<Surge::Overlays::OverlayComponent> SurgeGUIEditor::createOverlay
         auto r = juce::Rectangle<int>(px, py, w, h);
 
         auto pt = std::make_unique<Surge::Overlays::TuningOverlay>();
+        pt->setStorage(&(this->synth->storage));
+        pt->setSkin(currentSkin, bitmapStore);
         pt->setTuning(synth->storage.currentTuning);
         // pt->addScaleTextEditedListener(this);
         pt->setEnclosingParentPosition(juce::Rectangle<int>(px, py, w, h));
diff --git a/src/gui/overlays/TuningOverlays.cpp b/src/gui/overlays/TuningOverlays.cpp
index d52e80ac4c0..8141a2b90f2 100644
--- a/src/gui/overlays/TuningOverlays.cpp
+++ b/src/gui/overlays/TuningOverlays.cpp
@@ -1,5 +1,8 @@
 #include "TuningOverlays.h"
 #include "RuntimeFont.h"
+#include "SurgeStorage.h"
+#include "UserDefaults.h"
+#include "fmt/core.h"
 
 using namespace juce;
 
@@ -8,7 +11,8 @@ namespace Surge
 namespace Overlays
 {
 
-class TuningTableListBoxModel : public juce::TableListBoxModel
+class TuningTableListBoxModel : public juce::TableListBoxModel,
+                                public Surge::GUI::SkinConsumingComponent
 {
   public:
     TuningTableListBoxModel()
@@ -24,10 +28,9 @@ class TuningTableListBoxModel : public juce::TableListBoxModel
 
     void setupDefaultHeaders(juce::TableListBox *table)
     {
-        table->setHeaderHeight(12);
-        table->setRowHeight(12);
-        table->getHeader().addColumn("Note", 0, 25);
-        table->getHeader().addColumn("Name", 1, 25);
+        table->setHeaderHeight(15);
+        table->setRowHeight(13);
+        table->getHeader().addColumn("Note", 1, 50);
         table->getHeader().addColumn("Freq (hz)", 2, 50);
     }
 
@@ -47,6 +50,13 @@ class TuningTableListBoxModel : public juce::TableListBoxModel
             g.fillAll(alternateColour);
     }
 
+    int mcoff{1};
+    void setMiddleCOff(int m)
+    {
+        mcoff = m;
+        if (table)
+            table->repaint();
+    }
     virtual void paintCell(juce::Graphics &g, int rowNumber, int columnID, int width, int height,
                            bool rowIsSelected) override
     {
@@ -129,46 +139,45 @@ class TuningTableListBoxModel : public juce::TableListBoxModel
         g.setColour(table->getLookAndFeel().findColour(juce::ListBox::textColourId));
 
         auto mn = rowNumber;
-        double lmn = tuning.logScaledFrequencyForMidiNote(mn);
         double fr = tuning.frequencyForMidiNote(mn);
 
-        char txt[256];
+        std::string notenum, notename, display;
 
+        g.setColour(table->getLookAndFeel().findColour(juce::ListBox::backgroundColourId));
+        g.fillRect(width - 1, 0, 1, height);
+        if (noblack)
+            g.fillRect(0, height - 1, width, 1);
+
+        g.setColour(juce::Colours::white);
         auto just = juce::Justification::centredLeft;
         switch (columnID)
         {
-        case 0:
-        {
-            sprintf(txt, "%d", mn);
-            break;
-        }
         case 1:
         {
-            // FIXME - surge C4 offset
+            notenum = std::to_string(mn);
+            notename = noteInScale % 12 == 0 ? fmt::format("C{:d}", rowNumber / 12 - mcoff) : "";
             static std::vector<std::string> nn = {
                 {"C", "C#", "D", "D#", "E", "F", "F#", "G", "G#", "A", "A#", "B"}};
-            sprintf(txt, "%s%d", nn[noteInScale].c_str(), (int)(rowNumber / 12) - 1);
+
+            g.setFont(Surge::GUI::getFontManager()->getLatoAtSize(9));
+            g.drawText(notename, 2 + txtOff, 0, width - 4, height, juce::Justification::centredLeft,
+                       false);
+            g.setFont(Surge::GUI::getFontManager()->getLatoAtSize(7));
+            g.drawText(notenum, 2 + txtOff, 0, width - 2 - txtOff - 2, height,
+                       juce::Justification::centredRight, false);
+
             break;
         }
         case 2:
         {
             just = juce::Justification::centredRight;
-            sprintf(txt, "%.2lf", fr);
-            break;
-        }
-        case 3:
-        {
-            sprintf(txt, "%.6lf", lmn);
+            display = fmt::format("{:.2f}", fr);
+            g.setFont(Surge::GUI::getFontManager()->getLatoAtSize(9));
+            g.drawText(display, 2 + txtOff, 0, width - 4, height, juce::Justification::centredRight,
+                       false);
             break;
         }
         }
-
-        g.setFont(Surge::GUI::getFontManager()->getLatoAtSize(9));
-        g.drawText(txt, 2 + txtOff, 0, width - 4, height, just, false);
-        g.setColour(table->getLookAndFeel().findColour(juce::ListBox::backgroundColourId));
-        g.fillRect(width - 1, 0, 1, height);
-        if (noblack)
-            g.fillRect(0, height - 1, width, 1);
     }
 
     virtual void cellClicked(int rowNumber, int columnId, const juce::MouseEvent &e) override
@@ -229,9 +238,11 @@ class TuningTableListBoxModel : public juce::TableListBoxModel
     Tunings::Tuning tuning;
     std::array<std::atomic<bool>, 128> notesOn;
     std::unique_ptr<juce::PopupMenu> rmbMenu;
-    juce::TableListBox *table;
+    juce::TableListBox *table{nullptr};
 };
 
+class RadialScaleGraph;
+
 class TuningEditor : public OverlayComponent, public juce::FileDragAndDropTarget
 {
   public:
@@ -267,7 +278,6 @@ class TuningEditor : public OverlayComponent, public juce::FileDragAndDropTarget
         std::function<void(int index, juce::String)> onToneChanged = [](int, juce::String) {};
     };
 
-    class RadialScaleGraph;
     class GeneratorSection;
 
     TuningEditor(Tunings::Scale &s);
@@ -420,11 +430,14 @@ class InfiniteKnob : public Component
     bool enabled = true;
 };
 
-class TuningEditor::RadialScaleGraph : public juce::Component
+class RadialScaleGraph : public juce::Component
 {
   public:
-    RadialScaleGraph(Tunings::Scale &s) : scale(s)
+    RadialScaleGraph() { setScale(Tunings::evenTemperament12NoteScale()); }
+
+    void setScale(const Tunings::Scale &s)
     {
+        scale = s;
         notesOn.clear();
         notesOn.resize(scale.count);
         for (int i = 0; i < scale.count; ++i)
@@ -860,7 +873,7 @@ void TuningEditor::buildUIFromScale()
         addAndMakeVisible(analyticsTab.get());
         analyticsTab->setBounds(analyticsGroup->getBounds().withTrimmedTop(15).reduced(m));
         analyticsTab->setTabBarDepth(30);
-        radialScaleGraph = new RadialScaleGraph(scale);
+        radialScaleGraph = new RadialScaleGraph();
         radialScaleGraph->onToneChanged = [this](int idx, double val) {
             if (idx >= 0 && idx < this->scale.count)
             {
@@ -955,7 +968,7 @@ void TuningEditor::toggleToneDisplay()
         c->displayText(displayTones);
 }
 
-void TuningEditor::RadialScaleGraph::paint(Graphics &g)
+void RadialScaleGraph::paint(Graphics &g)
 {
     if (notesOn.size() != scale.count)
     {
@@ -1153,7 +1166,7 @@ void TuningEditor::recalculateScaleText()
     radialScaleGraph->repaint();
 }
 
-void TuningEditor::RadialScaleGraph::mouseMove(const juce::MouseEvent &e)
+void RadialScaleGraph::mouseMove(const juce::MouseEvent &e)
 {
     int ohsi = hotSpotIndex;
     hotSpotIndex = -1;
@@ -1167,7 +1180,7 @@ void TuningEditor::RadialScaleGraph::mouseMove(const juce::MouseEvent &e)
     if (ohsi != hotSpotIndex)
         repaint();
 }
-void TuningEditor::RadialScaleGraph::mouseDown(const juce::MouseEvent &e)
+void RadialScaleGraph::mouseDown(const juce::MouseEvent &e)
 {
     if (hotSpotIndex == -1)
         centsAtMouseDown = 0;
@@ -1178,7 +1191,7 @@ void TuningEditor::RadialScaleGraph::mouseDown(const juce::MouseEvent &e)
     }
 }
 
-void TuningEditor::RadialScaleGraph::mouseDrag(const juce::MouseEvent &e)
+void RadialScaleGraph::mouseDrag(const juce::MouseEvent &e)
 {
     if (hotSpotIndex != -1)
     {
@@ -1215,6 +1228,36 @@ void TuningEditor::scaleNoteOff(int scaleNote)
     radialScaleGraph->noteOff(scaleNote);
 }
 
+struct SCLKBMDisplay : public juce::Component, Surge::GUI::SkinConsumingComponent
+{
+    SCLKBMDisplay()
+    {
+        scl = std::make_unique<juce::TextEditor>();
+        scl->setFont(Surge::GUI::getFontManager()->getFiraMonoAtSize(10));
+        scl->setMultiLine(true, false);
+        addAndMakeVisible(*scl);
+        kbm = std::make_unique<juce::TextEditor>();
+        kbm->setFont(Surge::GUI::getFontManager()->getFiraMonoAtSize(10));
+        kbm->setMultiLine(true, false);
+        addAndMakeVisible(*kbm);
+    }
+    void setTuning(const Tunings::Tuning &t)
+    {
+        scl->setText(t.scale.rawText, juce::NotificationType::dontSendNotification);
+        kbm->setText(t.keyboardMapping.rawText, juce::NotificationType::dontSendNotification);
+        kbm->setText(t.keyboardMapping.rawText, juce::NotificationType::dontSendNotification);
+    }
+
+    void resized()
+    {
+        auto w = getWidth();
+        auto h = getHeight();
+        scl->setBounds(2, 2, w / 2 - 4, h - 4);
+        kbm->setBounds(w / 2 + 2, 2, w / 2 - 4, h - 4);
+    }
+    std::unique_ptr<juce::TextEditor> scl, kbm;
+};
+
 TuningOverlay::TuningOverlay()
 {
     tuning = Tunings::Tuning(Tunings::evenTemperament12NoteScale(),
@@ -1226,6 +1269,22 @@ TuningOverlay::TuningOverlay()
     tuningKeyboardTableModel->setTableListBox(tuningKeyboardTable.get());
     tuningKeyboardTableModel->setupDefaultHeaders(tuningKeyboardTable.get());
     addAndMakeVisible(*tuningKeyboardTable);
+
+    tuningKeyboardTable->getViewport()->setScrollBarsShown(true, false);
+    tuningKeyboardTable->getViewport()->setViewPositionProportionately(0.0, 48.0 / 127.0);
+
+    tabArea =
+        std::make_unique<juce::TabbedComponent>(juce::TabbedButtonBar::Orientation::TabsAtBottom);
+
+    sclKbmDisplay = std::make_unique<SCLKBMDisplay>();
+    radialScaleGraph = std::make_unique<RadialScaleGraph>();
+
+    tabArea->addTab("SCL/KBM", juce::Colours::black, sclKbmDisplay.get(), false);
+    tabArea->addTab("Tones", juce::Colours::black, new juce::Label("S"), true);
+    tabArea->addTab("Radial", juce::Colours::black, radialScaleGraph.get(), false);
+    tabArea->addTab("Interval", juce::Colours::black, new juce::Label("S"), true);
+    tabArea->addTab("Generators", juce::Colours::black, new juce::Label("S"), true);
+    addAndMakeVisible(*tabArea);
 }
 
 TuningOverlay::~TuningOverlay() = default;
@@ -1235,11 +1294,27 @@ void TuningOverlay::resized()
     auto h = getHeight();
     auto w = getWidth();
     tuningKeyboardTable->setBounds(0, 0, 120, h);
+
+    tabArea->setBounds(120, 0, w - 120, h);
+    // it's a bit of a hack to put this here but by this [oint i'm all set up
+    if (storage)
+    {
+        auto mcoff = Surge::Storage::getUserDefaultValue(storage, Surge::Storage::MiddleC, 1);
+        tuningKeyboardTableModel->setMiddleCOff(mcoff);
+    }
 }
 void TuningOverlay::setTuning(const Tunings::Tuning &t)
 {
     tuning = t;
     tuningKeyboardTableModel->tuningUpdated(tuning);
+    sclKbmDisplay->setTuning(t);
+    radialScaleGraph->setScale(t.scale);
+}
+
+void TuningOverlay::onSkinChanged()
+{
+    tuningKeyboardTableModel->setSkin(skin, associatedBitmapStore);
+    tuningKeyboardTable->repaint();
 }
 
 } // namespace Overlays
diff --git a/src/gui/overlays/TuningOverlays.h b/src/gui/overlays/TuningOverlays.h
index 3e54f2c4fd4..fa5a559c951 100644
--- a/src/gui/overlays/TuningOverlays.h
+++ b/src/gui/overlays/TuningOverlays.h
@@ -23,15 +23,29 @@
 #include <sstream>
 #include <set>
 #include "OverlayComponent.h"
+#include "SkinSupport.h"
+
+class SurgeStorage;
 
 namespace Surge
 {
 namespace Overlays
 {
 
+/*
+ * To Dos
+ * - skin everywhere
+ * - class to struct
+ * - edits edit consistently
+ * - drop onto surge and voila
+ * - etc
+ */
+
 class TuningTableListBoxModel;
+class SCLKBMDisplay;
+class RadialScaleGraph;
 
-struct TuningOverlay : public OverlayComponent
+struct TuningOverlay : public OverlayComponent, public Surge::GUI::SkinConsumingComponent
 {
     class TuningTextEditedListener
     {
@@ -44,14 +58,22 @@ struct TuningOverlay : public OverlayComponent
     TuningOverlay();
     ~TuningOverlay();
 
+    void setStorage(SurgeStorage *s) { storage = s; }
+
     void setTuning(const Tunings::Tuning &t);
-    void paint(juce::Graphics &g) override { g.fillAll(juce::Colours::orchid); }
     void resized() override;
 
+    void onSkinChanged() override;
+
     std::unique_ptr<TuningTableListBoxModel> tuningKeyboardTableModel;
     std::unique_ptr<juce::TableListBox> tuningKeyboardTable;
+    std::unique_ptr<juce::TabbedComponent> tabArea;
+
+    std::unique_ptr<SCLKBMDisplay> sclKbmDisplay;
+    std::unique_ptr<RadialScaleGraph> radialScaleGraph;
 
     Tunings::Tuning tuning;
+    SurgeStorage *storage{nullptr};
 };
 } // namespace Overlays
 } // namespace Surge
